﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using ThinkGeo.MapSuite.Wpf;
using ThinkGeo.MapSuite.Layers;
using System.IO;

namespace ThinkGeo10test
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        private AppDomain _domain;

        public MainWindow()
        {
            _domain = AppDomain.CurrentDomain;
            _domain.AppendPrivatePath(System.IO.Path.Combine(AppDomain.CurrentDomain.BaseDirectory, "TestFolder1"));
            _domain.AppendPrivatePath(System.IO.Path.Combine(AppDomain.CurrentDomain.BaseDirectory, "TestFolder1", "TestFolder1Sub1"));
            _domain.AppendPrivatePath(System.IO.Path.Combine(AppDomain.CurrentDomain.BaseDirectory, "TestFolder2"));
            _domain.AppendPrivatePath(System.IO.Path.Combine(AppDomain.CurrentDomain.BaseDirectory, "TestFolder2", "TestFolder2Sub1"));
            
            InitializeComponent();

            //ThinkGeoMap.MapUnit = ThinkGeo.MapSuite.GeographyUnit.Meter;
        }

        private void Window_Loaded(object sender, RoutedEventArgs e)
        {
            //Crash - AppDomain.CurrentDomain.RelativeSearchPath is read as a single path
            ThinkGeoMap.MapUnit = ThinkGeo.MapSuite.GeographyUnit.Meter;
        }
    }
}
